[Pipet Devel] GPL/LGPL issues

Jean-Marc Valin jean-marc.valin at hermes.usherb.ca
Mon Sep 11 19:55:24 EDT 2000

> You can link a program to a closed-source library if you specifically permit
> it.  The problem with KDE was that they never specifically permitted linking
> to Qt.

You are right, however, adding the exception ("you can link to closed-source")
*might* make the "modified" license incompatible with the GPL, meaning if we
allow the exception, then we cannot link to GPL'd plugins anymore (ie. we
couldn't use FFTW anymore). Of course, I'm not sure of that and that's why I
asked RMS about it.

Jean-Marc Valin
Universite de Sherbrooke - Genie Electrique
valj01 at gel.usherb.ca

More information about the Pipet-Devel mailing list